package com.mysize.mysizeidsdk_demo_client;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.Toast;

import com.mysize.mysizeidsdk.MySizeIDSDK;
import com.mysize.mysizeidsdk.framework.interfaces.ServerErrorResponse;
import com.mysize.mysizeidsdk.framework.interfaces.SizeResult;

public class MainActivity extends Activity {

    private static final String INTEGRATION_CODE = "your integration code";
    private static final String EXTERNAL_ID = "your external id";

    private Button startSDKButton, getSizeButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.activity_main);

        startSDKButton = findViewById(R.id.mainActivityStartSDKButton);
        getSizeButton = findViewById(R.id.mainActivityGetSizeButton);

        startSDKButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Start the SDK
                MySizeIDSDK.getInstance().start(MainActivity.this, EXTERNAL_ID);
            }
        });

        getSizeButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Get your size
                MySizeIDSDK.getInstance().getSize(INTEGRATION_CODE, EXTERNAL_ID, new SizeResult() {
                    @Override
                    public void onResult(final String size) {
                        // The process completed successfully. Handle your result
                        runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                Toast.makeText(MainActivity.this, "Your size is: " + size, Toast.LENGTH_SHORT).show();
                            }
                        });
                    }
                }, new ServerErrorResponse() {
                    @Override
                    public void onError(final String errorMessage) {
                        // The process failed
                        runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                Toast.makeText(MainActivity.this, "Error: " + errorMessage, Toast.LENGTH_LONG).show();
                            }
                        });
                    }
                });
            }
        });
    }
}
